[@rxap/material-table-system](../wiki/globals) / CheckboxCellComponent

# Class: CheckboxCellComponent\<Data\>

Defined in: [packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts:19](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts#L19)

## Type Parameters

• **Data** *extends* `Record`\<`string`, `any`\>

## Constructors

### new CheckboxCellComponent()

> **new CheckboxCellComponent**\<`Data`\>(`selectRow`): [`CheckboxCellComponent`](../wiki/Class.CheckboxCellComponent)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts:24](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts#L24)

#### Parameters

##### selectRow

[`SelectRowService`](../wiki/Class.SelectRowService)\<`Data`\>

#### Returns

[`CheckboxCellComponent`](../wiki/Class.CheckboxCellComponent)\<`Data`\>

## Properties

### element

> **element**: `Data`

Defined in: [packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts:22](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts#L22)

***

### selectRow

> `readonly` **selectRow**: [`SelectRowService`](../wiki/Class.SelectRowService)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts:26](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts#L26)
